DECLARE @dbName NVARCHAR(128);
DECLARE @sql NVARCHAR(MAX);
SELECT TOP 1 @dbName = name
FROM sys.databases
WHERE name LIKE '%Arquivos%';
IF @dbName IS NOT NULL
BEGIN
    SET @sql = N'
    IF NOT EXISTS (
    SELECT 1 
    FROM ' + QUOTENAME(@dbName) + N'.sys.objects 
    WHERE name = ''EST_NFE_CANCEL_EVENTO_ARQ_DANFE    '' 
      AND type = N''U''
	)
	BEGIN
		CREATE TABLE ' + QUOTENAME(@dbName) + N'.dbo.EST_NFE_CANCEL_EVENTO_ARQ_DANFE     (
			CD_CTR_ARQ INT IDENTITY(1,1) NOT NULL,
			CD_CTR_CANCEL_EVENTO      INT NOT NULL,
			DT_CAD DATETIME NOT NULL DEFAULT(GETDATE()),
			ARQUIVO_DANFE VARBINARY(MAX) NULL,
			CONSTRAINT PK_EST_NFE_CANCEL_EVENTO_ARQ_DANFE PRIMARY KEY (CD_CTR_ARQ)
		);
	END';
    EXEC sp_executesql @sql;
END
ELSE
BEGIN
    PRINT 'Nenhum banco de dados de Arquivos foi encontrado.';
END;